package com.yihu.wlyy.entity.consult;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 公共咨询回复信息
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_consult_public_reply")
public class ConsultPublicReply extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 959839737694203009L;

	// 咨询标识
	private String consult;
	// 回复患者标识
	private String patient;
	// 回复医生标识
	private String doctor;
	// 回复者姓名
	private String name;
	// 性别：1男，2女
	private Integer sex;
	// 回复者头像
	private String photo;
	// 回复内容
	private String content;
	// 回复图片URL地址，多图以逗号分隔
	private String images;
	// 咨询时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
